Debian Bug report logs - #608903
Causes reboot of d-i if installing with upstart

version graph

Package: eglibc; Maintainer for eglibc is GNU Libc Maintainers <debian-glibc@lists.debian.org>;

Reported by: Loïc Minier <lool@dooz.org>

Date: Tue, 4 Jan 2011 14:09:04 UTC

Severity: normal

Tags: patch

Found in version 2.11.2-3

Fixed in versions eglibc/2.17-0experimental2, eglibc/2.17-1

Done: Adam Conrad <adconrad@0c3.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, 588922@bugs.debian.org, 590175@bugs.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#608903; Package eglibc. (Tue, 04 Jan 2011 14:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
New Bug report received and forwarded. Copy sent to 588922@bugs.debian.org, 590175@bugs.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 04 Jan 2011 14:09:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Causes reboot of d-i if installing with upstart
Date: Tue, 4 Jan 2011 15:07:17 +0100
Package: eglibc
Version: 2.11.2-3
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch natty

        Hey there

 In eglibc 2.11.2-3, debian/debhelper.in/libc.postinst was changed
 roughly like this:
-    if [ "`uname -s`" = Linux ]; then
-      if [ "$(stat -c %d/%i /)" = "$(stat -Lc %d/%i /proc/1/root 2>/dev/null)" ]; then
-        # the devicenumber/inode pair of / is the same as that of /sbin/init's
-        # root, so we're *not* in a chroot
-        (telinit u ; sleep 1)
-      fi
-    fi
+    # Restart init. If it fails, there is nothing we can do, so.
+    #%just ignore the error
+    telinit u 2> /dev/null || true ; sleep 1

 changelog:
  * Always try to restart init when needed, and ignore the possible errors.
    Closes: #588922, 590175.

 When telinit in the chroot is upstart's telinit, it will send SIGTERM
 to PID 1 to signal an upstart instance to reexec itself.
 Unfortunately, busybox when used as /sbin/init (as is the case under
 d-i) will reboot when it receives a SIGTERM.

 While we probably want to change upstart to check whether PID 1 really
 is an upstart instance and not busybox, I also believe we should re-add
 the chroot check in libc.postinst as I don't think we need to restart
 init in this case.  I propose replacing the postinst snippet with this
 one:
    # try to restart init, unless in a chroot (may only be tested under Linux);
    # the chroot test is important in the case of e.g. d-i using busybox as
    # /sbin/init and installing upstart in a chroot: upstart's telinit sends
    # init a SIGTERM and busybox reboots on SIGTERM
    if [ "`uname -s`" != Linux ] || [ "$(stat -c %d/%i /)" = "$(stat -Lc %d/%i /proc/1/root 2>/dev/null)" ]; then
        # we ignore errors because there is nothing we can do if that fails,
        # and some weird/broken environments (e.g. no /dev/initctl but a
        # telinit expecting one) fail to run "telinit u"
        telinit u 2>/dev/null || true
        sleep 1
    fi

 This was originally reported in
 https://bugs.launchpad.net/ubuntu/+source/eglibc/+bug/694772
 Thanks to Colin Watson and others for analysis.

    Cheers,
-- 
Loïc Minier




Added tag(s) pending. Request was from Adam Conrad <adconrad@alioth.debian.org> to control@bugs.debian.org. (Thu, 07 Feb 2013 04:57:04 GMT) Full text and rfc822 format available.

Reply sent to Adam Conrad <adconrad@0c3.net>:
You have taken responsibility. (Thu, 07 Feb 2013 08:51:04 GMT) Full text and rfc822 format available.

Notification sent to Loïc Minier <lool@dooz.org>:
Bug acknowledged by developer. (Thu, 07 Feb 2013 08:51:04 GMT) Full text and rfc822 format available.

Message #12 received at 608903-close@bugs.debian.org (full text, mbox):

From: Adam Conrad <adconrad@0c3.net>
To: 608903-close@bugs.debian.org
Subject: Bug#608903: fixed in eglibc 2.17-0experimental2
Date: Thu, 07 Feb 2013 08:48:55 +0000
Source: eglibc
Source-Version: 2.17-0experimental2

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608903@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Conrad <adconrad@0c3.net> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 06 Feb 2013 22:41:23 -0700
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390 libc6-dev-s390 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc6-armhf libc6-dev-armhf libc6-armel libc6-dev-armel libc0.1-i386 libc0.1-dev-i386 libc6-x32 libc6-dev-x32 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: all amd64 source
Version: 2.17-0experimental2
Distribution: experimental
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Adam Conrad <adconrad@0c3.net>
Closes: 608903
Launchpad-Bugs-Fixed: 1117602
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-armel - Embedded GNU C Library: ARM softfp shared libraries for armhf
 libc6-armhf - Embedded GNU C Library: ARM hard float shared libraries for armel
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-armel - Embedded GNU C Library: ARM softfp development libraries for armh
 libc6-dev-armhf - Embedded GNU C Library: ARM hard float development libraries for
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390 - Embedded GNU C Library: 32bit Development Libraries for IBM zSeri
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-dev-x32 - Embedded GNU C Library: X32 ABI Development Libraries for AMD64
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390 - Embedded GNU C Library: 32bit Shared libraries for IBM zSeries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-x32  - Embedded GNU C Library: X32 ABI Shared libraries for AMD64
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales-all - Embedded GNU C Library: Precompiled locale data
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Changes: 
 eglibc (2.17-0experimental2) experimental; urgency=low
 .
   * Switch to gcc-4.7 across the board to tidy up some C99 conformance,
     and force it to an experimental version at the request of Matthias.
   * debian/sysdeps/arm64.mk: Remove --enable-multi-arch (LP: #1117602)
   * debian/debhelper.in/libc.postinst: Add support for upstart restarts
     and don't restart init when upgrading in chroots (Closes: #608903)
   * debian/testsuite-checking/expected-mips*: Allow tst-audit8 to fail.
Checksums-Sha1: 
 24c8694f6486df13061174ffbf4788ddcfb710d6 5199 eglibc_2.17-0experimental2.dsc
 eb58fb3853dd8c2d7fffd06a014d9ce3a40043ba 751356 eglibc_2.17-0experimental2.debian.tar.xz
 274564f11015bb970e2463f3d1f75bde414440be 2121750 glibc-doc_2.17-0experimental2_all.deb
 f6264e121793b5ed1f78a3298e5fd61ae3e28d7b 13817824 eglibc-source_2.17-0experimental2_all.deb
 e516232db4a2d1996880672f3c3a743838be115b 3839572 locales_2.17-0experimental2_all.deb
 75d44c686b9c874b5ba2a89050704dc76137d35a 4618894 libc6_2.17-0experimental2_amd64.deb
 e769c32a0e47b395a8b5340d51608195430b5dea 3137156 libc6-dev_2.17-0experimental2_amd64.deb
 6a24926132703c219a097246ddf8bd5035999574 1443498 libc6-pic_2.17-0experimental2_amd64.deb
 b5bc785e33b9346e6dcce74643d3240cec9cabad 1295652 libc-bin_2.17-0experimental2_amd64.deb
 92f2e68af3d2a11b40e544b9bf43fa91edb6cdc7 230358 libc-dev-bin_2.17-0experimental2_amd64.deb
 5de757aac6c908026262fe4cd5f88f6af7aeac54 157370 multiarch-support_2.17-0experimental2_amd64.deb
 9fce445fa22e3b8468a7ab9c06eec7ab98402fab 1576820 libc6-prof_2.17-0experimental2_amd64.deb
 54f24dfa61e1ae6ef765e12fcc01b74dd7c8754e 3186758 locales-all_2.17-0experimental2_amd64.deb
 b376690723a98f1804b50314041567886f69407b 4134060 libc6-i386_2.17-0experimental2_amd64.deb
 b07ed8a120cc8e766221b106d9485e1dbc899388 1814486 libc6-dev-i386_2.17-0experimental2_amd64.deb
 6cd30edca845fa735768d7b90de59654644a3132 4704272 libc6-x32_2.17-0experimental2_amd64.deb
 542b57f893791bfe7572f316144399e266fa1e19 2515796 libc6-dev-x32_2.17-0experimental2_amd64.deb
 7c4c2e5a2e9cd3f36055db186295dfba883d55b7 232164 nscd_2.17-0experimental2_amd64.deb
 b9ab2f878f3969a9f742046d27c241b3588cd35e 3471184 libc6-dbg_2.17-0experimental2_amd64.deb
 5add109fac3274ac728f975cced3ec5613adaaa9 1056238 libc6-udeb_2.17-0experimental2_amd64.udeb
 f25cadfec155c24e2f426c0a7b16fcf15bb68002 10002 libnss-dns-udeb_2.17-0experimental2_amd64.udeb
 81e504d93960674c8dc9e3d222f90f07d4570aee 16862 libnss-files-udeb_2.17-0experimental2_amd64.udeb
Checksums-Sha256: 
 f29ddc9625a70a37424179ee15859e109d4caa033bca53049723b74f9447760b 5199 eglibc_2.17-0experimental2.dsc
 1160c4fe103e7fce1bbb6d831763d7436437e91ae1665ad5c32007efe32c6d4e 751356 eglibc_2.17-0experimental2.debian.tar.xz
 30274b94177967d973ff21b4fb9eb8e397a6837818cfcf10f11a1accf6c7f70b 2121750 glibc-doc_2.17-0experimental2_all.deb
 0fd3fd962d36d36fc79a31b522cd6a41e576ad4f797cc1fa531cc5aaaa6b4dca 13817824 eglibc-source_2.17-0experimental2_all.deb
 1a311ef5ffd78dcea55bd41840911af214972ee96ac7b7d8571df3dc1aacbef2 3839572 locales_2.17-0experimental2_all.deb
 e5175eeb2a9d1b64a5de8202ce8aa034769cd26d4f9afed092c56c5bb05f4c19 4618894 libc6_2.17-0experimental2_amd64.deb
 1d748f0f4dd98d003872de70916e71e853fe3cad4a584e9a2421649c27e3b510 3137156 libc6-dev_2.17-0experimental2_amd64.deb
 cd1891f82a7168c3fcc6a9110728aff52e4e379de5799b98df6288e682cd3261 1443498 libc6-pic_2.17-0experimental2_amd64.deb
 5c6f61e6332f43bd3b36f095e0708a3e01ac2356f961542d1fff32b4d514e1e8 1295652 libc-bin_2.17-0experimental2_amd64.deb
 2d50d8c23d92f11202a179492a6c31b17d0870bef96735821c24ff0c0e6e7f3d 230358 libc-dev-bin_2.17-0experimental2_amd64.deb
 3bf5e609cea6e4f04026a699b37c67f107f13f6c15e6b4b79fe9384c479619ec 157370 multiarch-support_2.17-0experimental2_amd64.deb
 c064d12dd75edc4605bbda19d4a93e526e1863b62b6b7179081e4a4e45ad2fd8 1576820 libc6-prof_2.17-0experimental2_amd64.deb
 362978f42b99008a77ef87c209b8632393ded5e4396ff3dd84dd9e10e776058c 3186758 locales-all_2.17-0experimental2_amd64.deb
 2fe69fd39f33f6176ba04a2c54099023b1840e7adc31a9fbeba2b43fe3742725 4134060 libc6-i386_2.17-0experimental2_amd64.deb
 cb6a236d9f6485c49b7567c205053db6c9e43a4d12c6b280efb4028ea5dc40e5 1814486 libc6-dev-i386_2.17-0experimental2_amd64.deb
 b85ed3f5e54e85779b0fe4324d65cd4b98bba2bcab99cef73e8c0b008020790b 4704272 libc6-x32_2.17-0experimental2_amd64.deb
 374795e49a65e0d596d1eb6a3de415e32875981a4160973fa8153ba5ce1f01ab 2515796 libc6-dev-x32_2.17-0experimental2_amd64.deb
 d5af627331d4194000c9716df820c37d841805b45f1cfde5782eb3f58798003d 232164 nscd_2.17-0experimental2_amd64.deb
 441440b8c2e59b0669d6eb18dca235c0935b768fb505adc3544d35cff8caa7b5 3471184 libc6-dbg_2.17-0experimental2_amd64.deb
 2c15a01f2f4eff5045277e9739b148222f2c432af3e98ae672a0be778aeb2f3a 1056238 libc6-udeb_2.17-0experimental2_amd64.udeb
 0ce6578cd7a5a56dde7d7ad3a98de519869135e6a56f02c15a584e7715020c83 10002 libnss-dns-udeb_2.17-0experimental2_amd64.udeb
 4cb69cebf6d7a0e640761a911d3f764477e73d5dedb3c1295277e059ec06a7aa 16862 libnss-files-udeb_2.17-0experimental2_amd64.udeb
Files: 
 024e683ac5ee776a25eef2e80ac196b8 5199 libs required eglibc_2.17-0experimental2.dsc
 dac5edb295138dd83c059477c2e7240f 751356 libs required eglibc_2.17-0experimental2.debian.tar.xz
 18884bc7a296243cc4a852ed47901077 2121750 doc optional glibc-doc_2.17-0experimental2_all.deb
 68128615c3cd17141dff3d65625df7c9 13817824 devel optional eglibc-source_2.17-0experimental2_all.deb
 8e875dccfad925e4dc127b5543b20855 3839572 localization standard locales_2.17-0experimental2_all.deb
 4810e544fc5791585a446d1693cdbe35 4618894 libs required libc6_2.17-0experimental2_amd64.deb
 614130bc7efb3d33c684d2905fe6dfbb 3137156 libdevel optional libc6-dev_2.17-0experimental2_amd64.deb
 5e1597af6b479a44d1820c3b68e0b184 1443498 libdevel optional libc6-pic_2.17-0experimental2_amd64.deb
 0e32ad5a28519ff224f65988768e8101 1295652 libs required libc-bin_2.17-0experimental2_amd64.deb
 fe0763e2713362cc8d448b7bcb1146e7 230358 libdevel optional libc-dev-bin_2.17-0experimental2_amd64.deb
 03357b9e7389251934a45324e902e742 157370 libs required multiarch-support_2.17-0experimental2_amd64.deb
 3242bb5afb58864db95a9059b0281861 1576820 libdevel extra libc6-prof_2.17-0experimental2_amd64.deb
 3a166f352127e15266979d1fd758d4c1 3186758 localization extra locales-all_2.17-0experimental2_amd64.deb
 a8187c360e6e1179c21001f76067a70b 4134060 libs optional libc6-i386_2.17-0experimental2_amd64.deb
 5953433579a6b570494000c13d34bc97 1814486 libdevel optional libc6-dev-i386_2.17-0experimental2_amd64.deb
 6c064f40c61321525ccd51544381555a 4704272 libs optional libc6-x32_2.17-0experimental2_amd64.deb
 770fcd4866a4b39b5b0188d685ebe3cb 2515796 libdevel optional libc6-dev-x32_2.17-0experimental2_amd64.deb
 f34bb5175a71f6fb83b17c2d8f211580 232164 admin optional nscd_2.17-0experimental2_amd64.deb
 60c6f8830d6a756ac95393321bd500e2 3471184 debug extra libc6-dbg_2.17-0experimental2_amd64.deb
 51b2e375415ec422085fe4be13d6a75b 1056238 debian-installer extra libc6-udeb_2.17-0experimental2_amd64.udeb
 69dd9d9a64119bb808196dad3781d1f6 10002 debian-installer extra libnss-dns-udeb_2.17-0experimental2_amd64.udeb
 85267dd7dd8b6e19a7e5b281b1bf7839 16862 debian-installer extra libnss-files-udeb_2.17-0experimental2_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlETWxUACgkQvjztR8bOoMl2cgCffvJ/vAeXee0ixQ5xfCdA0mAF
HiAAnA5w2o1RDudmnsJrGnHkBh/TBrEm
=m9+E
-----END PGP SIGNATURE-----




Changed Bug submitter to 'Loïc Minier <lool@dooz.org>' from 'Loïc Minier <lool@dooz.org>' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 21 Mar 2013 21:28:14 GMT) Full text and rfc822 format available.

Reply sent to Adam Conrad <adconrad@0c3.net>:
You have taken responsibility. (Tue, 07 May 2013 12:21:17 GMT) Full text and rfc822 format available.

Notification sent to Loïc Minier <lool@dooz.org>:
Bug acknowledged by developer. (Tue, 07 May 2013 12:21:17 GMT) Full text and rfc822 format available.

Message #19 received at 608903-close@bugs.debian.org (full text, mbox):

From: Adam Conrad <adconrad@0c3.net>
To: 608903-close@bugs.debian.org
Subject: Bug#608903: fixed in eglibc 2.17-1
Date: Tue, 07 May 2013 12:19:21 +0000
Source: eglibc
Source-Version: 2.17-1

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608903@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Conrad <adconrad@0c3.net> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 07 May 2013 01:57:11 -0600
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390 libc6-dev-s390 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc6-armhf libc6-dev-armhf libc6-armel libc6-dev-armel libc0.1-i386 libc0.1-dev-i386 libc6-x32 libc6-dev-x32 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: all amd64 i386 source
Version: 2.17-1
Distribution: unstable
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Adam Conrad <adconrad@0c3.net>
Closes: 208308 608903 625522 654744 667023 672934 673596 690873 693852 694962 699593 701422 704598
Launchpad-Bugs-Fixed: 929565 1088677 1106471 1117602 1156923 1157244
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-armel - Embedded GNU C Library: ARM softfp shared libraries for armhf
 libc6-armhf - Embedded GNU C Library: ARM hard float shared libraries for armel
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-armel - Embedded GNU C Library: ARM softfp development libraries for armh
 libc6-dev-armhf - Embedded GNU C Library: ARM hard float development libraries for
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390 - Embedded GNU C Library: 32bit Development Libraries for IBM zSeri
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-dev-x32 - Embedded GNU C Library: X32 ABI Development Libraries for AMD64
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390 - Embedded GNU C Library: 32bit Shared libraries for IBM zSeries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-x32  - Embedded GNU C Library: X32 ABI Shared libraries for AMD64
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales-all - Embedded GNU C Library: Precompiled locale data
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Changes: 
 eglibc (2.17-1) unstable; urgency=low
 .
   [ Samuel Thibault ]
   * Rename several hurd-i386 patches to reflect upstream submission status:
     - patches/hurd-i386/unsubmitted-single-hurdselect-timeout.diff into
       patches/hurd-i386/tg-single-select-timeout.diff,
     - patches/hurd-i386/unsubmitted-select-EINTR.diff into
       patches/hurd-i386/tg-select-EINTR.diff,
     - patches/hurd-i386/unsubmitted-setitimer_fix.diff into
       patches/hurd-i386/tg-setitimer.diff.
   * patches/hurd-i386/tg-ifaddrs_v6.diff: New, fixes IPv6 in getifaddrs.
   * patches/hurd-i386/tg-remap_getcwd.diff: New patch, fixes remap translator.
   * patches/hurd-i386/tg-nice.diff: New patch, fixes nice level granularity.
   * patches/hurd-i386/tg-tls.diff: Update to tg version.
   * patches/hurd-i386/tg-exec-static.diff: New, fixes boot with static exec.
   * patches/hurd-i386/tg-EIEIO-fr.diff: New, fixes french translation of EIEIO.
   * patches/hurd-i386/tg-af_local_strlen.diff: New patch, fixes using PF_LOCAL
     paths without ending \0.
 .
   [ Adam Conrad ]
   * debian/debhelper.in/libc.postint: Switch from 'awk gsub' to 'tr -d' to
     avoid warnings when the awk alternative points to gawk (LP: #1156923)
   * debian/patches/any/submitted-setfsid-wur.diff: Drop __wur from setfsuid
     and setfsgid functions to avoid -Werror=unused-result (Closes: #701422)
   * debian/patches/i386/cvs-simd-exception.diff: Pull patch from upstream
     to fix a performance regression in i386 SIMD exceptions (LP: #1157244)
   * debian/patches/svn-updates.diff: Update to r22884 of eglibc-2_17 branch
 .
 eglibc (2.17-0experimental2) experimental; urgency=low
 .
   * Switch to gcc-4.7 across the board to tidy up some C99 conformance,
     and force it to an experimental version at the request of Matthias.
   * debian/sysdeps/arm64.mk: Remove --enable-multi-arch (LP: #1117602)
   * debian/debhelper.in/libc.postinst: Add support for upstart restarts
     and don't restart init when upgrading in chroots (Closes: #608903)
   * debian/testsuite-checking/expected-mips*: Allow tst-audit8 to fail.
 .
 eglibc (2.17-0experimental1) experimental; urgency=low
 .
   [ Adam Conrad ]
   * Rebase kfreebsd patches missed in the previous upload due to quilt:
     - debian/patches/kfreebsd/local-undef-glibc.diff: Unfuzz.
     - debian/patches/kfreebsd/local-use-thr-primitives.diff: Unfuzz.
     - debian/patches/kfreebsd/local-linuxthreads29.diff: Unfuzz.
     - debian/patches/kfreebsd/local-readdir_r.diff: Track file rename.
     - debian/patches/kfreebsd/local-memusage_no_mremap.diff: Unfuzz.
   * debian/patches/kfreebsd/local-HAVE_TLS_SUPPORT.diff: Following the
     upstream removal of TLS configure options, enable unconditionally.
   * debian/patches/any/local-tst-dir-overlayfs.diff: Dropped, as I seem
     to be the only person building on overlayfs, and I'll just use aufs.
   * Update debian/patches/kfreebsd/local-sysdeps.diff to revision 4353.
   * debian/patches/any/unsubmitted-cloexec-conditional.diff: Make more
     occurences of O_CLOEXEC conditional on it actually being defined.
   * debian/rules: Don't put x32 debug symbols in libc-dbg (LP: #1106471)
   * debian/testsuite-checking/expected-*: Allow all arches to fail the
     tst-cputimer1 test, as it harmlessly comes and goes on all of them.
   * debian/testsuite-checking/expected-*: Adjust ia64 and armel results
     to allow failures expected by the upstream port maintainers of each.
   * Drop the armhf-specific symbols hack for the new linker, as we're
     no longer expecting partial upgrades from the out-of-archive port.
   * debian/{control,control.in/main}: Bump Standards-Version to 3.9.4.
   * Amend eglibc-source.lintian-overrides to add libc-dev-alt.postinst.
 .
   [ Pino Toscano ]
   * debian/rules.d/build.mk: When threads is no, disable nscd in all passes.
 .
 eglibc (2.17-0experimental0) experimental; urgency=low
 .
   [ Adam Conrad ]
   * New upstream release: version 2.17, orig tarball built at SVN r22169:
     - Restricts ld.so self-loading checks to normal mode (LP: #1088677)
     - debian/rules.d/tarball.mk: ports is no longer external to libc.
     - debian/*: Update all 2.16 occurences to 2.17 for upgrades/deps.
     - patches/localedata/supported.diff: Rebased against new upstream.
     - patches/localedata/locale-ia.diff: Dropped, merged upstream.
     - patches/localedata/submitted-es_MX-decimal_point.diff: Rebased.
     - patches/amd64/local-pthread_cond_wait.diff: Dropped, fixed upstream.
     - patches/i386/local-pthread_cond_wait.diff: Dropped (closes: #694962)
     - patches/arm64/cvs-ldconfig-cache-abi.diff: Dropped, merged upstream.
     - patches/arm64/submitted-aarch64-support.diff: Merged upstream.
     - patches/arm/cvs-ldconfig-cache-abi.diff: Dropped, merged upstream.
     - patches/arm/local-atomic.diff: Dropped, fixed differently upstream.
     - patches/arm/unsubmitted-armhf-linker.diff: Dropped, not needed.
     - patches/arm/unsubmitted-ldconfig-cache-abi.diff: Rewritten slightly.
     - patches/hppa/submitted-nptl-carlos.diff: Rebased against upstream.
     - patches/hppa/local-stack-grows-up.diff: Rebased against upstream.
     - patches/hurd-i386/local-enable-ldconfig.diff: dl-cache.c dropped.
     - patches/hurd-i386/tg-tls.diff: Rebase and drop powerpc support.
     - patches/hurd-i386/tg-regenerate_errno.h.diff: Merged upstream.
     - patches/hurd-i386/tg-extern_inline.diff: Drop powerpc support.
     - patches/hurd-i386/tg-elfosabi_gnu.diff: Drop powerpc support.
     - patches/hurd-i386/tg-grantpt.diff: Rebased against new upstream.
     - patches/hurd-i386/unsubmitted-pthread_posix-option.diff: Rebased.
     - patches/hurd-i386/submitted-getgroups.diff: Dropped, merged upstream.
     - patches/hurd-i386/submitted-getlogin_r.diff: Dropped, fixed upstream.
     - patches/hurd-i386/submitted-ptsname.diff: Dropped, merged upstream.
     - patches/hurd-i386/submitted-sendto.diff: Dropped, fixed upstream.
     - patches/hurd-i386/cvs-add-missing-includes.diff: Merged upstream.
     - patches/hurd-i386/cvs-mach-check-local-headers.sh.diff: Merged.
     - patches/hurd-i386/cvs-lremovexattr.diff: Dropped, merged upstream.
     - patches/hurd-i386/cvs-renameat.diff: Dropped, merged upstream.
     - patches/hurd-i386/cvs-mknodat.diff: Dropped, merged upstream.
     - patches/hurd-i386/cvs-llistxattr.diff: Dropped, merged upstream.
     - patches/i386/submitted-i686-timing.diff: Rebase, and fix a bug that
       was excluding dl-caller.c from shared-only-routines for rtld builds.
     - patches/m68k/cvs-syscall-arguments.diff: Dropped, merged upstream.
     - patches/powerpc/local-math-logb.diff: Rebased against new upstream.
     - patches/all/unsubmitted-autoconfupdate.diff: Dropped, not needed.
     - patches/any/local-bindresvport_blacklist.diff: Rebase with upstream.
     - patches/any/local-ldso-disable-hwcap.diff: Rebased against upstream.
     - patches/any/local-libgcc-compat-ports.diff: Rebased against upstream.
     - patches/any/local-nss-upgrade.diff: Rebased against new upstream.
     - patches/any/local-o_cloexec.diff: Rebased against new upstream.
     - patches/any/local-rtld.diff: Rebased against new upstream.
     - patches/any/submitted-popen.diff: Dropped, finally merged upstream.
     - patches/any/submitted-accept4-hidden.diff: Dropped, merged upstream.
     - patches/any/submitted-bits-fcntl_h-at.diff: Rebased against upstream.
     - patches/any/local-gai-rfc1918-scope-global.patch: Merged upstream.
     - patches/any/submitted-resolv-assert.diff: Dropped, merged upstream.
     - patches/any/local-revert-fclose-posix2008.diff: Reverted upstream.
     - patches/any/local-sunrpc-dos.diff: Dropped, different fix upstream.
     - patches/any/cvs-cxxheaders-detection[123].diff: Merged upstream.
   * debian/patches/powerpc/submitted-UAPI_ASM_POWERPC_ELF.diff: Remove,
     as this has been fixed in the 3.7 release and 3.8 kernel headers.
   * debian/sysdeps/{amd64,i386}.mk: Fix rtlddir for x32 alternate builds.
   * debian/sysdeps/{armel,armhf}.mk: Merge multilib configs from Ubuntu.
   * debian/debhelper.in/libc.preinst: Fix preinst kernel check to match
     the reality that we need >= 2.6.32, as found in squeeze/lucid/RHEL6.
   * debian/rules: Fix EGLIBC_VERSION epoch parsing breakage (LP: #929565)
   * debian/patches/any/cvs-tst-array-as-needed.diff: Fix tst-array2 and
     tst-array5 to build with --no-as-needed to prevent test regressions.
   * debian/patches/any/unsubmitted-ldso-machine-mismatch.diff: Skip past
     libraries that are built for other machines, rather than erroring.
   * debian/patches/i386/unsubmitted-quiet-ldconfig.diff: Fix ldconfig on
     x86 to stop complaining so loudly about wrong-arch libraries on path.
   * debian/{rules.d/build.mk,sysdeps/hurd*}: When the threads variable is
     not set to "yes", add --disable-nscd to the main configure options.
   * debian/patches/any/cvs-use-glibc-wchar.diff: Switch from the eglibc
     implementation of wchar.h to the cleaner glibc-2.18 implementation.
   * debian/patches/arm/local-eabi-wchar.diff: Dropped, no longer needed.
   * debian/patches/any/local-tst-dir-overlayfs.diff: Apply dirty hack to
     skip tst-dir on overlayfs, as it currently fails (see: LP #1107492)
   * debian/patches/svn-updates.diff: Bring svn-updates to revision 22169.
 .
   [ Matthias Klose ]
   * debian/{rules,rules.d/control.mk,control.in/libc}: Allow turning off
     libc-prof arbitrarily, and disable it for arm64, which lacks support.
   * debian/rules.d/build.mk: Fix armhf multilib with WITH_BUILD_SYSROOT.
 .
   [ Steve McIntyre ]
   * debian/patches/arm/unsubmitted-ldso-multilib.diff: Stop ld.so from
     exiting prematurely when it encounters wrong-float ABI libraries.
 .
   [ Pino Toscano ]
   * Rebase/remove hurd-i386 patches against the new upstream version:
     - patches/hurd-i386/tg-ptrmangle.diff: Remove, obsolete.
     - patches/hurd-i386/tg-check_native.diff: Remove, obsolete.
     - patches/hurd-i386/submitted-regex_internal.diff: Fixed upstream.
     - patches/hurd-i386/local-disable-sendmmsg.diff: Fixed upstream.
     - patches/hurd-i386/unsubmitted-pthread.diff: Drop, obsolete.
     - patches/hurd-i386/unsubmitted-mremap.diff: Rebased for new upstream.
   * debian/patches/hurd-i386/local-disable-tst-xmmymm.diff: Disable test.
   * Update expected-results-i486-gnu-libc, expected-results-i686-gnu-i386,
     expected-results-i686-gnu-i686, expected-results-i686-gnu-xen.
 .
 eglibc (2.16-0experimental1) experimental; urgency=low
 .
   [ Adam Conrad ]
   * Add patches/any/cvs-cxxheaders-detection[1-3].diff to bring us up to date
     with my C++ header detection patch on glibc trunk, for g++-4.7_4.7.2-10.
   * Add patches/powerpc/submitted-UAPI_ASM_POWERPC_ELF.diff to fix builds on
     PowerPC against linux headers from 3.7-rc.  Remove if fixed for 3.7-final.
   * debian/debhelper.in/libc-dev-alt.{preinst,postinst}: Do the directory to
     symlink migration in postinst, which solves issues with dpkg following
     the new symlink on unpack and removing all the "old" (now new) files.
   * debian/rules.d/debhelper.mk: Add a MULTIARCHDIR subst for the above.
   * debian/sysdeps/{amd64,i386}.mk: Enable and bootstrap x32 multilib builds.
   * debian/control.in/main: Bump g++4.7 build-dep to 4.7.2-11 for x32 builds.
   * debian/control.in/main: Bump linux-libc-dev build-dep for alt x32 builds.
   * debian/{tests,control.in/main}: Add simple autopkgtest rebuild testcase.
 .
   [ Aurelien Jarno ]
   * Add patches/m68k/cvs-syscall-arguments.diff to fix cancellable syscall
     with 5 or 6 arguments.  Closes: #693852.
   * debian/rules: don't force the GCC version for BUILD_CC and BUILD_CXX.
 .
   [ Pino Toscano ]
   * Update testsuite-checking/expected-results-i686-gnu-xen and
     testsuite-checking/expected-results-i686-gnu-i686.
   * Add patches/hurd-i386/local-ulimit.diff to use Linux' ulimit on hurd-i386
     instead of the bogus BSD version. Fix expected-results-i486-gnu-libc,
     expected-results-i686-gnu-i386, expected-results-i686-gnu-i686,
     expected-results-i686-gnu-xen accordingly.
   * debian/testsuite-checking/compare.sh: accept the build directory as an
     argument.
 .
   [ Jonathan Nieder ]
   * patches/any/local-tst-eintr1-eagain.diff: new patch to work around
     a race that lets pthread_create hit resource limits when the kernel
     takes too long to clean up after joined threads.  (closes: #673596)
 .
 eglibc (2.16-0experimental0) experimental; urgency=low
 .
   [ Aurelien Jarno ]
   * New upstream version.  Closes: #672934.
     - Provide a compatibility symbol for the old memcpy() behaviour.  Remove
       the memcpy-wrapper.  Closes: #625522.
     - Fix printing of incomplete multibyte characters.  Closes: #208308.
     - Disable patches/svn-updates.diff.
     - Update patches/localedata/sort-UTF8-first.diff.
     - Update patches/localedata/supported.diff.
     - Update patches/localedata/locales-fr.diff (partially merged upstream).
     - Remove patches/localedata/locales_GB.diff (merged upstream).
     - Remove patches/localedata/submitted-bz9732-dz_BT-collation.diff (merged
       upstream).
     - Update patches/localedata/locale-se_NO.diff.
     - Update patches/localedata/tailor-iso14651_t1-common.diff.
     - Update patches/localedata/fix-lang.diff.
     - Remove patches/localedata/fr_LU-first_weekday.diff (merged upstream).
     - Remove patches/localedata/cy_GB-first_weekday.diff (merged upstream).
     - Update patches/localedata/submitted-bz9725-locale-sv_SE.diff (partially
       merged upstream).
     - Update patches/localedata/first_weekday.diff (partially merged
       upstream).
     - Remove patches/localedata/submitted-bz9912-locale-ru_UA.diff (merged
       upstream).
     - Remove patches/localedata/locale-et_EE.diff (merged upstream).
     - Remove patches/localedata/submitted-translit-colon.diff (merged upstream).
     - Remove patches/localedata/locale-bem-en_ZA.diff (merged upstream).
     - Remove patches/localedata/locale-ff_SN.diff (merged upstream).
     - Remove patches/localedata/locale-sw.diff (merged upstream).
     - Remove patches/localedata/locale-sv_FI.diff (merged upstream).
     - Remove patches/localedata/locale-os_RU.diff (merged upstream).
     - Remove patches/localedata/cvs-rupee.diff (merged upstream).
     - Remove patches/localedata/cvs-es-lc_numeric.diff (merged upstream).
     - Remove patches/localedata/submitted-de_AT-mon.diff (merged upstream).
     - Remove patches/localedata/cvs-rupeesign.diff (merged upstream).
     - Remove patches/alpha/cvs-fp_control-plt.diff (merged upstream).
     - Remove patches/alpha/cvs-have_tls_thread.diff (merged upstream).
     - Remove patches/alpha/cvs-preconfigure.diff (merged upstream).
     - Remove patches/alpha/cvs-stat_ver_linux.diff (merged upstream).
     - Remove patches/alpha/cvs-syscall.diff (merged upstream).
     - Remove patches/alpha/cvs-tls_dtv_unallocated.diff (merged upstrea).
     - Remove obsolete parts of alpha/local-string-functions.diff (merged
       upstream).
     - Remove patches/alpha/submitted-creat64.diff (obsolete).
     - Remove patches/alpha/submitted-fcntl_h.diff (merged upstream).
     - Remove patches/alpha/submitted-fxstatat.patch (obsolete).
     - Remove patches/alpha/submitted-libm-hidden.diff (merged upstream).
     - Remove patches/alpha/submitted-____longjmp_chk.diff (merged upstream).
     - Remove patches/alpha/submitted-epoll_create1.diff (obsolete).
     - Remove patches/alpha/submitted-fallocated.patch (merged upstream).
     - Remove patches/alpha/submitted-fpu-ulps.diff (merged upstream).
     - Remove patches/alpha/submitted-rlimit-rttime.diff (merged upstream).
     - Remove patches/alpha/submitted-sysconf-cache.diff (merged upstream).
     - Remove patches/alpha/cvs-stackinfo.diff (merged upstream).
     - Remove patches/alpha/submitted-statfs64.patch (merged upstream).
     - Remove patches/amd64/local-clone.diff (obsolete).
     - Remove patches/amd64/submitted-tst-audit6-avx.diff (obsolete).
     - Update patches/amd64/submitted-rwlock-stack-imbalance.diff.
     - Remove patches/amd64/cvs-getcontext.diff (merged upstream).
     - Remove patches/amd64/cvs-memset.diff (merged upstream).
     - Remove patches/amd64/cvs-powl.diff (merged upstream).
     - Remove patches/amd64/cvs-pthread-stack-alignment.diff (merged upstream).
     - Remove patches/amd64/cvs-avx-detection.diff (merged upstream).
     - Remove patches/amd64/cvs-dl_trampoline-cfi.diff (merged upstream).
     - Remove patches/amd64/cvs-avx-osxsave.diff (merged upstream).
     - Update patches/arm/local-sigaction.diff.
     - Remove patches/arm/submitted-armhf-triplet.diff (merged upstream).
     - Remove patches/arm/cvs-clone-cantunwind.diff (merged upstream).
     - Remove patches/arm/cvs-syscall-mcount.diff (merged upstream).
     - Remove patches/arm/cvs-ucontext.diff (merged upstream).
     - Remove patches/arm/cvs-make-get-set-swap-context.diff (merged upstream).
     - Remove patches/hppa/local-linuxthreads.diff (obsolete).
     - Remove patches/hppa/local-linuxthreads-gscope.diff (obsolete).
     - Remove patches/hppa/submitted-lt.diff (obsolete).
     - Update patches/hppa/local-stack-grows-up.diff.
     - Remove patches/hppa/local-dlfptr.diff (merged upstream).
     - Remove patches/hppa/submitted-fcntl_h.diff (merged upstream).
     - Remove patches/hppa/submitted-libm-hidden.diff (merged upstream).
     - Remove patches/hppa/submitted-stackinfo.diff (merged upstream).
     - Remove patches/hppa/cvs-sys_procfs_h.diff (merged upstream).
     - Remove patches/hppa/cvs-test-tls-support.diff (merged upstream).
     - Remove patches/hppa/cvs-cloexec-nonblock.diff (merged upstream).
     - Remove patches/hppa/cvs-prlimit64.diff (merged upstream).
     - Update patches/hurd-i386/local-enable-ldconfig.diff.
     - Remove patches/hurd-i386/cvs-mlock.diff (merged upstream).
     - Update patches/hurd-i386/unsubmitted-tls.diff.
     - Update patches/hurd-i386/tg-tls.diff.
     - Update patches/hurd-i386/unsubmitted-gcc-4.1-init-first.diff.
     - Remove patches/hurd-i386/cvs-posix_opt.h.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-ioctl-decode-argument.diff (merged
       upstream).
     - Remove patches/hurd-i386/tg-libc_once.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-struct_stat.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-strtoul_PLT.diff (merged upstream).
     - Update patches/hurd-i386/tg-sysvshm.diff.
     - Remove patches/hurd-i386/cvs-IPV6_PKTINFO.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-critical-sections.diff (merged
       upstream).
     - Remove patches/hurd-i386/cvs-dup3.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-dup3-lock.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-dl-sysdep.c_SHARED.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-itimer-lock.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-null-pathname.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-sbrk.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-readlinkat.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-SOL_IP.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-____longjmp_chk.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-mkdir_root.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-catch-signal.diff (merged upstream)
     - Remove patches/hurd-i386/cvs-header-prot.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-psiginfo.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-if_freereq.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-ldsodefs.h.diff (merged upstream).
     - Remove patches/hurd-i386/submitted-init-first.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-libc_stack_end.diff (merged upstream).
     - Remove patches/hurd-i386/tg-ttyname_ERANGE.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-DEV_BSIZE.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-fork_ports.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-setresid.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-sgttyb.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-hurd_socket_server_indexcheck.diff (merged
       upstream).
     - Remove patches/hurd-i386/cvs-hurd-recvfrom.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-select-inputcheck.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-posix2008.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-mach-nanosleep.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-mmap.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-hurd-socket-EAFNOSUPPORT.diff (merged
       upstream).
     - Remove patches/hurd-i386/cvs-symlink_dealloc.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-O_CLOEXEC.diff (merged upstream).
     - Update patches/hurd-i386/submitted-exec_filename.diff.
     - Update patches/hurd-i386/submitted-net.diff.
     - Update patches/hurd-i386/unsubmitted-pthread.diff.
     - Update patches/ia64/local-dlfptr.diff (ia64 moved to ports).
     - Update patches/ia64/submitted-libm.diff (ia64 moved to ports).
     - Remove patches/ia64/submitted-sysconf.diff (merged upstream).
     - Update patches/ia64/submitted-fpu-ulps.diff (merged upstream).
     - Update patches/ia64/submitted-remainder.diff (merged upstream).
     - Remove patches/i386/local-clone.diff (obsolete).
     - Remove patches/i386/cvs-cacheinfo.diff (merged upstream).
     - Update patches/i386/submitted-i686-timing.diff.
     - Remove patches/i386/cvs-feraiseexcept-plt.diff (merged upstream).
     - Update patches/i386/local-pthread_cond_wait.diff.
     - Update patches/kfreebsd/local-scripts.diff.
     - Remove patches/m68k/cvs-byteswap.diff (merged uptream).
     - Remove patches/m68k/local-compat.diff (obsolete).
     - Update patches/m68k/submitted-gcc34-seccomment.diff.
     - Update patches/mips/local-r10k.diff.
     - Remove patches/mips/submitted-dl-platform.diff (merged upstream).
     - Remove patches/mips/cvs-dlopen-lazy.diff (merged upstream).
     - Remove patches/powerpc/local-libgcc_eh-ld.so.diff (obsolete).
     - Remove patches/s390/cvs-iconv-z9-109.diff (merged upstream).
     - Remove patches/s390/cvs-vsyscalls.diff (merged upstream).
     - Remove patches/s390/s390/cvs-libm-ulps.diff (merged upstream).
     - Remove patches/sparc/submitted-bzero.diff (merged upstream).
     - Remove patches/sparc/cvs-ifunc.diff (merged upstream).
     - Remove patches/sparc/cvs-rlimits.diff (merged upstream).
     - Update patches/sparc/local-fork.diff.
     - Remove patches/sparc/cvs-fcntl_h.diff (merged upstream).
     - Update patches/any/local-fhs-nscd.diff.
     - Update patches/any/local-ldconfig.diff.
     - Update patches/any/local-libgcc-compat-ports.diff.
     - Update patches/any/local-linuxthreads-defines.diff.
     - Remove patches/any/cvs-sched_h.diff (merged upstream).
     - Update patches/any/submitted-popen.diff.
     - Remove patches/any/submitted-autotools.diff (merged upstream).
     - Remove patches/any/submitted-localedef-mmap.diff (obsolete).
     - Remove patches/any/submitted-leading-zero-stack-guard.diff (merged
       upstream).
     - Remove patches/any/local-relro-mprotect.diff (merged upstream).
     - Remove patches/any/cvs-fopen.diff (merged upstream).
     - Remove patches/any/cvs-resolv-tld.diff (merged upstream).
     - Remove patches/any/cvs-sys-param-ARG_MAX.diff (merged upstream).
     - Remove patches/any/submitted-at-pagesize.diff (obsolete).
     - Remove patches/any/cvs-setlocale.diff (merged upstream).
     - Remove parts of patches/any/submitted-rlimit-rttime.diff and rename
       it to patches/alpha/any/submitted-rlimit-rttime.diff.
     - Remove patches/any/cvs-regex-oom.diff (merged upstream).
     - Remove patches/any/cvs-getaddrinfo-single-lookup.diff (merged upstream).
     - Remove patches/any/cvs-unique_sym_table-corruptions.diff (merged
       upstream).
     - Remove patches/any/submitted-mqueue-throw.diff (merged upstream).
     - Remove patches/any/cvs-addmntent.diff (merge upstream).
     - Remove patches/any/cvs-resolv-different-nameserver.diff (merged upstream).
     - Remove patches/any/cvs-fnmatch.diff (merged upstream).
     - Remove patches/any/cvs-ifunc.diff (merged upstream).
     - Remove patches/powerpc/submitted-ifunc.diff (merged upstream).
     - Remove patches/any/cvs-dlopen-tls.diff (merged upstream).
     - Remove patches/any/submitted-glob_h-ifdef.diff (obsolete).
     - Remove patches/any/cvs-dl_close-scope-handling.diff (merged upstream).
     - Remove patches/any/cvs-nptl-pthread-race.diff (merged upstream).
     - Remove patches/any/cvs-vfscanf.diff (merged upstream).
     - Remove patches/any/cvs-tzfile.diff (merged upstream).
     - Rename patches/any/submitted-clock-settime.diff into
       patches/any/cvs-clock-settime.diff.
     - Update patches/any/local-no-pagesize.diff.
     - Update patches/any/local-rtld.diff.
     - Update patches/any/local-disable-test-tgmath2.diff.
     - Remove patches/any/cvs-clock-settime.diff.
     - Update patches/any/submitted-longdouble.diff.
     - Update patches/any/submitted-bits-fcntl_h-at.diff.
     - Remove patches/any/submitted-fwrite-wur.diff (merged upstream).
     - Remove patches/any/submitted-stack-guard-quick-randomization.diff
       (obsolete).
     - Remove patches/any/cvs-fmtmsg-lock.diff (merged upstream).
     - Remove patches/any/cvs-reloc-sort.diff (merged upstream).
     - Remove patches/any/cvs-pthread-builtin-expect.diff (merged upstream).
     - Remove patches/any/cvs-vfprintf-positional.diff (merged upstream).
     - Remove patches/any/cvs-vfprintf-many-format-strings.diff (merged
       upstream).
     - Remove patches/any/cvs-arch-lowlevellock.diff (merged upstream).
     - Remove patches/any/cvs-strtod-overflow.diff (merged upstream).
   * Add patches/any/local-revert-fclose-posix2008.diff to fix issues with
     Ruby.
   * Add patches/amd64/local-pthread_cond_wait.diff from Jeff Law to fix
     lost wakeups in pthread_cond_wait.
   * Add patches/i386/cvs-feraiseexcept-plt.diff to fix plt issues.
   * Add patches/ia64/submitted-fpu-ulps.diff to fix FPU tests.
   * Add patches/ia64/submitted-remainder.diff to fix FPU tests.
   * Add patches/powerpc/local-math-logb.diff to workaround a GCC issue.
   * Add patches/alpha/cvs-tls_dtv_unallocated.diff,
     patches/alpha/cvs-have_tls_thread.diff,
     patches/alpha cvs-preconfigure.diff and
     patches/alpha/cvs-stat_ver_linux.diff to fix FTBFS on alpha.
   * Add patches/alpha/cvs-fp_control-plt.diff to fix testsuite on alpha.
   * Add patches/alpha/local-string-functions.diff to remove some broken
     alpha specific string version, and pass the testsuite.
   * Update debian/sysdeps/mips.mk, debian/sysdeps/mipsel.mk to force
     build without MIPS PLT.
   * Build with GCC 4.6.  Closes: bug#654744.
   * Remove rpcinfo from debian/control.in/main, debhelper.in/libc-bin.install
     and debhelper.in/libc-bin.manpages.
   * Update debian/libc6.symbols.common to add libnss_db symbols.
   * Update debian/symbols.wildcards with 2.14, 2.15 and 2.16 symbols.
   * Update debian/shlibver to 2.16.
   * Update debian/debhelper.in/*.lintian to new library names.
   * Update testsuite-checking/expected-results-arm-linux-gnueabi-libc,
     testsuite-checking/expected-results-arm-linux-gnueabihf-libc,
     testsuite-checking/expected-results-i486-linux-gnu-libc,
     testsuite-checking/expected-results-i686-linux-gnu-i386,
     testsuite-checking/expected-results-i686-linux-gnu-i686,
     testsuite-checking/expected-results-i686-linux-gnu-xen
     testsuite-checking/expected-results-ia64-linux-gnu-libc,
     testsuite-checking/expected-results-mips-linux-gnu-libc,
     testsuite-checking/expected-results-mips64-linux-gnu-mips64,
     testsuite-checking/expected-results-mips32-linux-gnu-mipsn32,
     testsuite-checking/expected-results-mipsel-linux-gnu-libc,
     testsuite-checking/expected-results-mips32el-linux-gnu-mipsn32,
     testsuite-checking/expected-results-mips64el-linux-gnu-mipsn64,
     testsuite-checking/expected-results-powerpc-linux-gnu-libc,
     testsuite-checking/expected-results-powerpc64-linux-gnu-ppc64,
     testsuite-checking/expected-results-sparc-linux-gnu-libc,
     testsuite-checking/expected-results-sparc64-linux-gnu-libc,
     testsuite-checking/expected-results-sparc64-linux-gnu-sparc64,
     testsuite-checking/expected-results-s390x-linux-gnu-libc,
     testsuite-checking/expected-results-s390x-linux-gnu-s390x,
     testsuite-checking/expected-results-x86_64-linux-gnu-amd64 and
     testsuite-checking/expected-results-x86_64-linux-gnu-libc to add
     new tests that are known to fail.
   * debian/control.in/main: Build-Conflicts with binutils-gold.
   * debian/rules.d/quilt.mk, debian/rules.d/tarball.mk, debian/source/format:
     switch to quilt (3.0) format, compress source with xz.
   * debian/rules, debian/rules.d/build.mk: define vardbddir to /var/lib/misc.
   * debian/rules.d/*mk: use make ifdef instead of shell ones.
   * debian/rules.d/build.mk: call configure with --enable-obsolete-rpc
   * debian/rules.d/debhelper.mk: compress locales, libc6-pic and libc6-prof
     with xz.
   * debian/sysdeps/i386.mk: install files from libc6-dev-amd64 as symlinks
     now that i386 and amd64 versions are compatible (see bug#637000 and
     bug#637141).
   * debian/sysdeps/*.mk, debhelper.in/libc.preinst: bump minimal Linux
     kernel version to 2.6.32.
   * debian/debhelper.in/{libc.docs,libc-dev.docs}: don't install FAQ, replaced
     upstream by http://sourceware.org/glibc/wiki/FAQ.
   * rules.d/debhelper.mk, debhelper.in/libc-pic.install: install libc6-pic
     files using debhelper.
   * debian/control.in/*: drop build-depends from libc6 to libc-bin. Add
     ${shlibs:Depends} depends to libc6 and libc-bin.
   * debian/control.in/*, debian/sysdeps/linux.mk: enable selinux support.
   * patches/any/local-disable-libnss-db.diff: disable libnss-db as the format
     is not compatible with the libnss-db package, and is architecture
     dependent.
   * patches/svn-updates.diff: update from upstream SVN.
 .
   [ Daniel Schepler ]
   * Add x32 support (Closes: #667023):
     - debian/control.in/main: Build-Depend on g++-4.7-multilib on amd64,
       i386, x32.
     - debian/control.in/libc: Add Replaces: libc6-x32 to libc6 on x32.
     - debian/control.in/amd64, debian/control.in/i386: Add x32 to
       Architecture list for libc6-amd64 and libc6-i386 (and corresponding
       -dev packages).
     - debian/control.in/x32: New file, add libc6-x32 and libc6-dev-x32
       packages on amd64 and i386.
     - debian/libc6.symbols.x32, debian/libc6-x32.symbols.amd64,
       debian/libc6-x32.symbols.i386: New symbols files for x32 libraries.
     - debian/libc6-amd64.symbols.x32, debian/libc6-i386.symbols.x32:
       New files, copying the appropriate existing files.
     - debian/patches/any/cvs-malloc-arena.diff: Fix for BZ#14562 which
       caused random assertions in threaded programs on x32.
     - debian/rules.d/build.mk, debian/rules.d/debhelper.mk: Add /libx32 to
       the library directories handled by alt templates instead of otherbuild.
     - debian/rules.d/control.mk: Add x32 to libc6_archs.
     - debian/sysdeps/amd64.mk, debian/sysdeps/i386.mk: Add libc6-x32 builds
       using gcc-4.7.
     - debian/sysdeps/amd64.mk, debian/sysdeps/i386.mk: Bump minimum kernel
       version to 3.4.0, since that's the first version with x32 support
       integrated into the mainline.
     - debian/sysdeps/x32.mk: New file, building libc, amd64, i386 flavors
       all using gcc-4.7.
     - debian/testsuite-checking/expected-results-x86_64-linux-gnux32-libc,
       debian/testsuite-checking/expected-results-x86_64-linux-gnux32-x32:
       New files copied from amd64 testsuite exceptions.
   * debian/debhelper.in/libc-bin.install: Add new binaries pldd and sotruss.
     - debian/debhelper.in/libc.install: Also add audit libraries needed by
       sotruss.
   * debian/patches/all/local-remove-manual.texi: Update stub manual/Makefile
     with version from eglibc 2.16 upstream.
   * debian/rules.d/quilt.mk: Update refresh target to pop all patches before
     repushing and refreshing them, since patches are applied by default now.
   * debian/rules: Expand clean target to remove several autogenerated files
     under debian/ that weren't getting removed.
 .
   [ Wookey ]
   * Add arm64 support (Closes: #690873):
     - debian/patches/all/unsubmitted-autoconfupdate.diff: Update autotools
       config.sub and config.guess to detect aarch64/arm64 correctly
     - debian/patches/arm64/submitted-aarch64-support.diff: Massive backport
       of the current state of arm64 support upstream and on libc-alpha.
     - debian/patches/arm64/submitted-bits-fcntl_h-at.diff: Include AT_*
       definitions in sysdeps/unix/sysv/linux/aarch64/bits/fcntl.h
     - debian/sysdeps/arm64.mk: Define base arm64 libc targets.
     - debian/rules.d/control.mk: Add arm64 to the list of libc_arches.
     - debian/control.in/main: Build-depend on gcc-4.7 for arm64 builds.
   * debian/rules: Clean up base/cross compiler mangling to work sanely.
   * debian/sysdeps/linux.mk: Define bootstrap BUILD_PROFILE without selinux.
 .
   [ Adam Conrad ]
   * debian/debhelper.in/{libc-bin.install,libc-dev-bin.install}: install
     sotruss binary to libc-dev-bin instead of libc-bin.
   * debian/sysdeps/{i386,amd64,x32}.mk: Don't set MIN_KERNEL_SUPPORTED
     explicitly, as this will cause serious upgrade headaches, and there's
     no guarantee that a 3.4.0 kernel actually has x32 support built in.
   * debian/control.in/main: Bump the linux-libc-dev build-dep to (>= 3.4)
     on all linux-any architectures, not just amd64, i386, and x32.
   * debian/debhelper.in/libc-bin.manpages: Add a pldd(1) manpage.
   * Drop patches/any/cvs-malloc-arena.diff, included in our new upstream.
   * debian/sysdeps/{i386,amd64}.mk: Comment out x32 multilib builds until
     we've reached a consensus about bootstrapping this into the archive.
   * Version gcc-4.7 build-deps to get a version that works for eglibc.
   * debian/sysdeps/*: clean up use of CC and CXX to match wookey's fixes.
   * debian/control.in/libc: Update nscd/locales breaks to (<< 2.16)
   * debian/rules: Unset CFLAGS and friends and use the package versions.
   * Move ldconfig to ldconfig.real, install ldconfig wrapper, and set up
     a dpkg trigger for libc-bin to avoid excessive calls to ldconfig
   * Don't build nscd during when doing a bootstrap DEB_BUILD_PROFILE
   * Make our DEB_BUILD_PROFILE=bootstrap support look more like Ubuntu's
     previously known-working DEB_STAGE=stage1 support for the time being.
   * debian/rules.d/build.mk: If WITH_SYSROOT is passed to debian/rules,
     then pass --with-headers=$(WITH_SYSROOT)/$(includedir) to the build.
   * Sync support for armel/armhf biarch packages, but keep it disabled.
   * Adjust libc.posinst and libc.preinst service restart code for 2.16.
   * Merge regression/progression test suite improvements from Ubuntu.
   * Provide backward compatibility for DEB_STAGE->DEB_BUILD_PROFILE.
   * patches/arm/local-vfp-sysdeps.diff: Force the Tag_ABI_HardFP_use
     and Tag_ABI_VFP_args EABI tags when building for armhf, so compilers
     only linking crti.o will generate what appear to be armhf binaries.
   * debian/patches/arm/cvs-ldconfig-cache-abi.diff: Backport upstream
     patch to re-enable ldconfig cache tagging for armhf binaries again.
   * debian/patches/arm64/cvs-ldconfig-cache-abi.diff: Same for aarch64.
   * debian/patches/arm/unsubmitted-ldconfig-cache-abi.diff: Re-enable
     and adjust to account for changes in cvs-ldconfig-cache-abi.diff.
   * debian/debhelper.in/libc.preinst: Remove old ld.so.cache on upgrade.
 .
   [ Matthias Klose ]
   * Add patches/any/local-revert-bz13979.diff: revert a commit that made
     attempts to build with FORTIFIED_SOURCE issue warnings if GCC didn't
     have optimisations turned on.  This breaks some unclever AC macros.
   * Fix building x32 multilib libraries, by correctly passing -mx32.
   * Fix some ln calls in sysdeps/{amd64,i386} for binary-arch idempotence.
 .
   [ Pino Toscano ]
   * Update patches/hurd-i386/submitted-AF_LINK.diff.
   * Add patches/hurd-i386/tg-verify.h.diff,
     patches/hurd-i386/tg-pagesize.diff,
     patches/hurd-i386/tg-fcntl-internal.h.diff,
     patches/hurd-i386/local-disable-sendmmsg.diff,
     patches/hurd-i386/cvs-add-missing-includes.diff,
     and patches/hurd-i386/submitted-libpthread-elf.diff to fix build on Hurd.
   * Drop obsolete patches patches/hurd-i386/tg-__i686_defined.diff and
     patches/hurd-i386/unsubmitted-gcc-4.1-init-first.diff
   * Add patches/hurd-i386/cvs-mach-check-local-headers.sh.diff to
     reduce false header errors from the check-local-headers.out test.
   * Add patches/hurd-i386/cvs-llistxattr.diff,
     patches/hurd-i386/cvs-renameat.diff and
     patches/hurd-i386/cvs-lremovexattr.diff to implement llistxattr,
     lremovexattr and renameat.
     Add patches/hurd-i386/cvs-mknodat.diff to fix tst-mknodat.
   * Update testsuite-checking/expected-results-i686-gnu-i386,
     testsuite-checking/expected-results-i686-gnu-xen,
     testsuite-checking/expected-results-i486-gnu-libc and
     testsuite-checking/expected-results-i686-gnu-i686.
 .
 eglibc (2.13-39) UNRELEASED; urgency=low
 .
   [ Samuel Thibault ]
   * patches/hurd-i386/unsubmitted-setitimer_fix.diff: Finish fixing setitimer.
   * patches/hurd-i386/unsubmitted-select-EINTR.diff: Fix select vs signals.
   * patches/hurd-i386/cvs-libpthread_lock.diff: Fix file lock primitives
     version to fix stdio thread-safety.
   * patches/hurd-i386/tg-pie-sbrk.diff: Fix sbrk() use in PIE binaries (e.g.
     libgc, perl).
   * patches/hurd-i386/libpthread_cancellation.diff: New patch, fixes
     cancellations.
   * patches/hurd-i386/libpthread_hurd_cond_timedwait.diff: New patch, introduces
     pthread_hurd_cond_timedwait_np needed to fix select with zero timeout in
     Hurd servers.
 .
   [ Adam Conrad ]
   * debian/testsuite-checking/compare.sh: Disable failing the build on test
     regressions to ease the pain of ongoing stable/security maintenance.
   * debian/debhelper.in/libc.preinst: Remove ld.so's aux-cache on upgrades.
 .
   [ Petr Salinger ]
   * patches/kfreebsd/local-initgroups-order.diff: always put supplied extra
     gid as the first entry of group list in setgroups(). Closes: #699593.
   * inline is not keyword in c89 mode, use __inline. Closes: #704598.
Checksums-Sha1: 
 0c3e4be6e316c90784a209333b48395b057efcfa 5147 eglibc_2.17-1.dsc
 28a4aa05a2035763e31022ad56aa33deaa561ebf 770468 eglibc_2.17-1.debian.tar.xz
 f3e02d3636a93692ce7b816ae25790eddac30c99 4765552 libc6_2.17-1_amd64.deb
 c277dd6bb8d429a8494598e687eaf3affb818341 3146926 libc6-dev_2.17-1_amd64.deb
 fcad27cbf05aa818f454bec80abc5273141761c9 1442890 libc6-pic_2.17-1_amd64.deb
 212eda568b8453df18b2eb3d9cac772f78b90f0c 1295912 libc-bin_2.17-1_amd64.deb
 5bf792a63fc274ff03091093938ecd420b5ea298 230392 libc-dev-bin_2.17-1_amd64.deb
 24fdf53eb4a65ceacd9c5268096c7eebc2a1b1dc 158164 multiarch-support_2.17-1_amd64.deb
 6f2e21d8188f2655695160db230b7df19e90e5e6 1576694 libc6-prof_2.17-1_amd64.deb
 4c55428b161c1a857c1e5e3f42c419ac764b3117 3483880 locales-all_2.17-1_amd64.deb
 c12240b2cbb578cbe987722bfbffab2fc146f26b 4297522 libc6-i386_2.17-1_amd64.deb
 ee386416c6d170d5592ad39752dd5011e47bd82d 1815646 libc6-dev-i386_2.17-1_amd64.deb
 1a4534ecff0c2f5eb4e7bc9c40af89e54b39aa18 4862922 libc6-x32_2.17-1_amd64.deb
 a820267779756eac821c0f97d32bd9de33522110 2529032 libc6-dev-x32_2.17-1_amd64.deb
 fb5babb4703d2ed204a6e8632a53fd5e15501baf 232612 nscd_2.17-1_amd64.deb
 e245e2380b8f34ed110d7700a6184f5fd9f4d613 3480534 libc6-dbg_2.17-1_amd64.deb
 a758a6cbca4e390f5020e54ff0d3deaba7ed6d3f 1052580 libc6-udeb_2.17-1_amd64.udeb
 4f0491b2e8e97710c1294a9f10021e6e9ec4c1dd 9986 libnss-dns-udeb_2.17-1_amd64.udeb
 ed3baec40e6ed35da112b0b26eb778d4da8facbe 16844 libnss-files-udeb_2.17-1_amd64.udeb
 53e3774284af56fa26101f131d4e1004087d8d7c 2122822 glibc-doc_2.17-1_all.deb
 e2594cdb235dc76381ff1992e951d73aef88d468 13899770 eglibc-source_2.17-1_all.deb
 f787928e22e832aa6be04d30b4b782fe064179d0 3816072 locales_2.17-1_all.deb
 db4054754bdd94fe32e52c8bc784759acf869f66 4131118 libc6_2.17-1_i386.deb
 6fbcd330128dcbbd51761528c018c3f29c2854df 5542452 libc6-dev_2.17-1_i386.deb
 1cb1bbf005db1d533f12517590dc13dc147ee9fd 1207316 libc6-pic_2.17-1_i386.deb
 ae5f4a62882b28aec661ec02001b9139098d836f 1233796 libc-bin_2.17-1_i386.deb
 295b57667633c766438392a323b5b887f1b628ef 227238 libc-dev-bin_2.17-1_i386.deb
 da54703f75d3529f5cc87c26ef3348e3434638cd 158168 multiarch-support_2.17-1_i386.deb
 b5110a393367355ef346a10abb12324f9ae0850e 1240784 libc6-prof_2.17-1_i386.deb
 6f86ccb8f95c3ca1e96a35d817503440740b1d60 3511760 locales-all_2.17-1_i386.deb
 8e58d259011e59df7038979090241c4ba349de5f 1450302 libc6-i686_2.17-1_i386.deb
 f480a36ba5cff5a8c199d5e3b7087231b4f59699 1455456 libc6-xen_2.17-1_i386.deb
 32c37b50fcb880c4b90b3bdc467f7d7a0728038e 4863122 libc6-amd64_2.17-1_i386.deb
 2aa90ce7ff38d35695e278ad5bd12b2b8cfc992c 2603986 libc6-dev-amd64_2.17-1_i386.deb
 4d4c81afcd61468d19ba488eb9ca49fe1ef2e440 4862948 libc6-x32_2.17-1_i386.deb
 6f0a08836bdc089e4bca12bd7a6d84bac137332e 2529096 libc6-dev-x32_2.17-1_i386.deb
 1359f4be3b05ad4acf48325d7259df0022a1906e 230774 nscd_2.17-1_i386.deb
 fa4eeda995b2a453c62038e09320d310c485b94c 5090488 libc6-dbg_2.17-1_i386.deb
 376fc7eabf1b133ae0e18c8dd3120595a1cedeaa 809186 libc6-udeb_2.17-1_i386.udeb
 a35dea2486c0836d1ea3134dbf5158f15b478d6c 9658 libnss-dns-udeb_2.17-1_i386.udeb
 775bf76b32fe1a8e39a7e7e963428534123633c9 15752 libnss-files-udeb_2.17-1_i386.udeb
Checksums-Sha256: 
 24c9b945180b05bb29b5cfaba1a290f20bf4633dd65fa52ea47fdddca71fcee2 5147 eglibc_2.17-1.dsc
 624a3b9290640ffe5d7b5ce2220f5ec3d3c23c4868181a5c85d6c6ad2e77222a 770468 eglibc_2.17-1.debian.tar.xz
 4eb5a31bdb8435947f7e2e85caa759a6a464bc2dac04fa2e179de42145634f2b 4765552 libc6_2.17-1_amd64.deb
 2526d081a5a039a8b892837b32f117d128a226dfd6b405b4dc59d590bc6bcb7f 3146926 libc6-dev_2.17-1_amd64.deb
 078c2ba4bc37e07ca6a8ae62fb41ff6ede2559d6f03eebf918f75fc9b77341ae 1442890 libc6-pic_2.17-1_amd64.deb
 b7cd8011debb75a8f852ec836a85e617c5ac8a1d3717aed836df4ae31681ee6e 1295912 libc-bin_2.17-1_amd64.deb
 a46bec200bc90293ffd780aa5b5f3b41762c678308007cc355e4575c9022b2b6 230392 libc-dev-bin_2.17-1_amd64.deb
 5a9a3ab22e330c6462911640e357e9b0b7ad3ccf2ff2a29fe0cbc268d0ed57f3 158164 multiarch-support_2.17-1_amd64.deb
 7090bd32bdb23c0ea7593eeab6b19c3fcf51e56473d1a2618b1d370c8d99ef95 1576694 libc6-prof_2.17-1_amd64.deb
 6a5635c717cb6f644bba7e4eb8d6cffa15b66e25047282581fe5fc2835de414b 3483880 locales-all_2.17-1_amd64.deb
 2c39a610e036d84117a7ffc0dede0a0c3f46f41fc53b203a25ae4e47e8132949 4297522 libc6-i386_2.17-1_amd64.deb
 0aa18077db5e8110fb1831b0435f3e3fcc0114c442db6b3b8e5084173d7897d8 1815646 libc6-dev-i386_2.17-1_amd64.deb
 ff401d4ca706db6b4ea493376a42d016943661bbf3b680d67624857f8dc472be 4862922 libc6-x32_2.17-1_amd64.deb
 e8bd5a245b864b79552ca51fc8e68619469977d412f4d17f387a8eb6cf1b1e83 2529032 libc6-dev-x32_2.17-1_amd64.deb
 0c74f3684c307b0ab7e9aabf2efe83783b38c9b886ceec092cbda5f8be3a846e 232612 nscd_2.17-1_amd64.deb
 c72236f7eb62c6973676ecbeb836a09e41634f7d30209523e35c5364035686d2 3480534 libc6-dbg_2.17-1_amd64.deb
 fb728d18ceb8b50c204fbae995fbf2ed92ccd8e3d623817293c0069e489a5f25 1052580 libc6-udeb_2.17-1_amd64.udeb
 afd21fef3079cd3f9f0cc164b4a06a7e830aa6e8ced8568e78c450187b120234 9986 libnss-dns-udeb_2.17-1_amd64.udeb
 27af54987fba81b22a7abccb94333fa01923795c6a8f21d71a7be8a48e42dc32 16844 libnss-files-udeb_2.17-1_amd64.udeb
 d52910f7b121d75a99c5bdf45498603e5bce20c3e9598372ced162d453e8392f 2122822 glibc-doc_2.17-1_all.deb
 63ba4a77960998ae817a443a44a98ad90121c7e3a84ad3b707b3de71dcf50429 13899770 eglibc-source_2.17-1_all.deb
 5982f21b883ab32bec14960dd2b756c8254ce6706a6bc0afe36b906a2731eb0d 3816072 locales_2.17-1_all.deb
 c5824f035eebe28d7b8d6718059f5c85a60bb4a146fad76b54b4c5c975af1fcd 4131118 libc6_2.17-1_i386.deb
 d6b113729105bdce6115586f588688138447ec0c27567910b3f11ebbb5a095fc 5542452 libc6-dev_2.17-1_i386.deb
 24593a2bbbc2b5eb781541e49af3ec142422066779f1c3b92e4a4e3c5686fb42 1207316 libc6-pic_2.17-1_i386.deb
 01017bbb130a2b75b885f7006def9a6cd93af5b526cead57d02f3787f08b8619 1233796 libc-bin_2.17-1_i386.deb
 db31f4d8af3794d2b3e28afac8a5668f79ceb1b734b823a7cca3e654d3e9a273 227238 libc-dev-bin_2.17-1_i386.deb
 688ac7e28a1bbd56fe4afb8800c8c7a8f73c7f504b75a817b1b6141c24c677ab 158168 multiarch-support_2.17-1_i386.deb
 5aa21f9dd8593cbdfc391af9ae6aabd938875b349961a18acff7930fc2cf3428 1240784 libc6-prof_2.17-1_i386.deb
 687bd9fedb55ed30bdfb58df0a961caa7ce5202e6d17829212701032f2a739b2 3511760 locales-all_2.17-1_i386.deb
 c5b5bf6ba592409f12590cdb6aacd7a3308afce6598ea60a1189ea9a3704d359 1450302 libc6-i686_2.17-1_i386.deb
 9f525c1f48191a1588713fdf842a9c97eccf751f3c2736fb6c28713941bd31f4 1455456 libc6-xen_2.17-1_i386.deb
 bd6ea5407904e2cecb3c2f7c7fc6311f6118a5474ac3c7d2da124c42f04ef6c9 4863122 libc6-amd64_2.17-1_i386.deb
 bca6c48266797c4d7cc8d7d671ba77234286a5b60c4ad555e66b1eb90f13e0bd 2603986 libc6-dev-amd64_2.17-1_i386.deb
 bc4c6467d0589d6605924a3a716f47935a085e6ed28f4cc489f28d02e6aa5ae7 4862948 libc6-x32_2.17-1_i386.deb
 1079d7968c5fb9bd45ad633ce5be8ef3a168b5bcbd0e9e020c5dbd4039766876 2529096 libc6-dev-x32_2.17-1_i386.deb
 4d0fee2eeb40bfcd82c1ab63318a1602c11f802d7582e598af0f33349bf6ed38 230774 nscd_2.17-1_i386.deb
 2cc00818870c6cd7dc270bf5303029b5d90e1f3061cecce68df85e4f5acb09f0 5090488 libc6-dbg_2.17-1_i386.deb
 a61d8368d4228a4142dfc08d6481b516094cff6714f7184dd7697c9a94b953d5 809186 libc6-udeb_2.17-1_i386.udeb
 109f5a54a358c5ef9e781bf68189f7e23517a3825dd561d76281ae25ebddb2ba 9658 libnss-dns-udeb_2.17-1_i386.udeb
 48f5ab840f16ae9a6fe5536eac123252ec44075508638603c7ce2a355d6980d5 15752 libnss-files-udeb_2.17-1_i386.udeb
Files: 
 6f73a9848bd9d142b6602569a7677939 5147 libs required eglibc_2.17-1.dsc
 cd9bbcbb7a741bd2d41efb3d317c2205 770468 libs required eglibc_2.17-1.debian.tar.xz
 d808ec34e05adb7d745ed0a24d87b34e 4765552 libs required libc6_2.17-1_amd64.deb
 e77ac9684f94e3122bd790e1fa8f731a 3146926 libdevel optional libc6-dev_2.17-1_amd64.deb
 8af176d257945993f5b877d360f3942d 1442890 libdevel optional libc6-pic_2.17-1_amd64.deb
 7098acd5f9ae9257f8c0f7a1e786298c 1295912 libs required libc-bin_2.17-1_amd64.deb
 340a25d4417b872a3839f78ad19601e8 230392 libdevel optional libc-dev-bin_2.17-1_amd64.deb
 1a55384dffaf57c41f498e7bdbaf2c9f 158164 libs required multiarch-support_2.17-1_amd64.deb
 10b605c582b60658629b9ab526f23973 1576694 libdevel extra libc6-prof_2.17-1_amd64.deb
 fdd32ff895569c15116ee9f8321345ec 3483880 localization extra locales-all_2.17-1_amd64.deb
 cf4611066d2bd54a10098f0b9716de8e 4297522 libs optional libc6-i386_2.17-1_amd64.deb
 ce5d447a2526195b0e4ccbeb65d839c3 1815646 libdevel optional libc6-dev-i386_2.17-1_amd64.deb
 c48cd05e1564c8110d16cc22414afa70 4862922 libs optional libc6-x32_2.17-1_amd64.deb
 3f463c25403af3ac06346aa79f671af1 2529032 libdevel optional libc6-dev-x32_2.17-1_amd64.deb
 59d32aac2486b1612e34c2eaff6e7d54 232612 admin optional nscd_2.17-1_amd64.deb
 a934b6f04d74a402706ff0af6b22ce0a 3480534 debug extra libc6-dbg_2.17-1_amd64.deb
 f8f95ac5fc91f8736d58d5115cdddd8c 1052580 debian-installer extra libc6-udeb_2.17-1_amd64.udeb
 ea2000023069a0eabd63a724fa709ac9 9986 debian-installer extra libnss-dns-udeb_2.17-1_amd64.udeb
 fe30222cd3be02703c2b117535737174 16844 debian-installer extra libnss-files-udeb_2.17-1_amd64.udeb
 bf51143618c246e5a13072c9fb30b381 2122822 doc optional glibc-doc_2.17-1_all.deb
 15e27ddc91dd1a79af66a93f0faa55ff 13899770 devel optional eglibc-source_2.17-1_all.deb
 2a3241b903f65db209654e9e68d14c26 3816072 localization standard locales_2.17-1_all.deb
 22abf193d464cb954dee26d90fbbba55 4131118 libs required libc6_2.17-1_i386.deb
 f1f31b45175e7f61a0def5b6c8b69fb5 5542452 libdevel optional libc6-dev_2.17-1_i386.deb
 b21dd9ce225b3bdeaec2884441206698 1207316 libdevel optional libc6-pic_2.17-1_i386.deb
 8651617035c529bc7b50b80e5b4cac56 1233796 libs required libc-bin_2.17-1_i386.deb
 15e9f58e0795150beb76021ca491a36f 227238 libdevel optional libc-dev-bin_2.17-1_i386.deb
 726eb46e9798c95a21ae44e4bc979179 158168 libs required multiarch-support_2.17-1_i386.deb
 f4678b193f0fcb636b63b8dadaf57b49 1240784 libdevel extra libc6-prof_2.17-1_i386.deb
 4c0adc6627d21d7b4f85ed27d6b9638e 3511760 localization extra locales-all_2.17-1_i386.deb
 49f99c5aa31e5017a3384df6128cbcd7 1450302 libs extra libc6-i686_2.17-1_i386.deb
 20acd53898ccb9db57a8447e60e7e270 1455456 libs extra libc6-xen_2.17-1_i386.deb
 e5bd719b91c88613bfcd09dc3324c7e1 4863122 libs optional libc6-amd64_2.17-1_i386.deb
 e7fb02379337b089453686b324fb0d30 2603986 libdevel optional libc6-dev-amd64_2.17-1_i386.deb
 86c531e5d476f24bd933f7d45abc159c 4862948 libs optional libc6-x32_2.17-1_i386.deb
 c0de4b34734f6d3c3b573d59fbaf3985 2529096 libdevel optional libc6-dev-x32_2.17-1_i386.deb
 deff0fde0fb2509d65a626b25ec13f1f 230774 admin optional nscd_2.17-1_i386.deb
 19d00c40528bb91547cfad0260027219 5090488 debug extra libc6-dbg_2.17-1_i386.deb
 d21cf0d03a65a4899c6c0482f6cf29d3 809186 debian-installer extra libc6-udeb_2.17-1_i386.udeb
 8b9f3adfe25e5bfb97cb77fb4d38170d 9658 debian-installer extra libnss-dns-udeb_2.17-1_i386.udeb
 2bd4376a5b4675fb50317d8e62b83ded 15752 debian-installer extra libnss-files-udeb_2.17-1_i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGI7UYACgkQvjztR8bOoMmFfgCgjGpOUw1/Y0Fbm5833nj9Rqa+
0h0An0vyZ4le6owi7Zf0hKVQBFcGwfhI
=fi8y
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Aug 2013 07:25:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:49:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.